# - Try to find PATCH
# -------------------------
# Once done this will define
#
#  PATCH_FOUND - system has PATCH
#  PATCH_EXECUTABLE - the PATCH executable

#=============================================================================
# (C) Copyright 2014 Kurento (http://kurento.org/)
#
# Distributed under the OSI-approved BSD License (the "License");
# see accompanying file Copyright.txt for details.
#
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the GNU Lesser General Public License
# (LGPL) version 2.1 which accompanies this distribution, and is available at
# http://www.gnu.org/licenses/lgpl-2.1.html
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#=============================================================================

FIND_PROGRAM(PATCH_EXECUTABLE NAMES patch
  HINTS ENV${PATCH_ROOT}/patch ${PATCH_ROOT}/patch)

# handle the QUIETLY and REQUIRED arguments and set PATCH_FOUND to TRUE if
# all listed variables are TRUE
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(PATCH DEFAULT_MSG PATCH_EXECUTABLE)

MARK_AS_ADVANCED(PATCH_EXECUTABLE)